Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Class RecreateResult

    java.lang.Object
      com.sun.mdm.index.ops.RecreateResult

All Implemented Interfaces:
  java.io.Serializable

public class RecreateResult
extends java.lang.Object
implements java.io.Serializable

recreate object

See Also:
  Serialized Form

Constructor Summary
`RecreateResult()` default constructor
`RecreateResult(EnterpriseObject afterEO, EnterpriseObject afterEO2, EnterpriseObject beforeEO1, EnterpriseObject beforeEO2)` Create an instance of recreate object.

Method Summary
`EnterpriseObject` | `getAfterEO()` Getter for the mAfterEO attribute.
`EnterpriseObject` | `getAfterEO2()` Getter for the mAfterEO2 attribute.
`EnterpriseObject` | `getBeforeEO1()` Getter for the mBeforeEO1 attribute.
`EnterpriseObject` | `getBeforeEO2()` Getter for the mBeforeEO2 attribute.
`void` | `setAfterEO(EnterpriseObject eo)` Sets the mAfterEO attribute.
`void` | `setAfterEO2(EnterpriseObject eo)` Sets the mAfterEO2 attribute.
`void` | `setBeforeEO1(EnterpriseObject eo)` Sets the mBeforeEO1 attribute.
`void` | `setBeforeEO2(EnterpriseObject eo)` Sets the mBeforeEO2 attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecreateResult

    public RecreateResult()

  default constructor

### RecreateResult

    public RecreateResult(EnterpriseObject afterEO,
                          EnterpriseObject afterEO2,
                          EnterpriseObject beforeEO1,
                          EnterpriseObject beforeEO2)

  Create an instance of recreate object.

  Parameters:
    `afterEO` - After enterprise object 1.
    `afterEO2` - After enterprise object 2.
    `beforeEO1` - Before enterprise object 1.
    `beforeEO2` - Before enterprise object 2.

Method Detail

### getAfterEO

    public EnterpriseObject getAfterEO()

  Getter for the mAfterEO attribute.

  Returns:
    value of the mAfterEO attribute.

### getAfterEO2

    public EnterpriseObject getAfterEO2()

  Getter for the mAfterEO2 attribute.

  Returns:
    value of the mAfterEO2 attribute.

### getBeforeEO1

    public EnterpriseObject getBeforeEO1()

  Getter for the mBeforeEO1 attribute.

  Returns:
    value of the mBeforeEO1 attribute.

### getBeforeEO2

    public EnterpriseObject getBeforeEO2()

  Getter for the mBeforeEO2 attribute.

  Returns:
    value of the mBeforeEO2 attribute.

### setAfterEO

    public void setAfterEO(EnterpriseObject eo)

  Sets the mAfterEO attribute.

  Parameters:
    `eo` - EnterpriseObject to which mAfterEO is set.

### setAfterEO2

    public void setAfterEO2(EnterpriseObject eo)

  Sets the mAfterEO2 attribute.

  Parameters:
    `eo` - EnterpriseObject to which mAfterEO2 is set.

### setBeforeEO1

    public void setBeforeEO1(EnterpriseObject eo)

  Sets the mBeforeEO1 attribute.

  Parameters:
    `eo` - EnterpriseObject to which mBeforeEO1 is set.

### setBeforeEO2

    public void setBeforeEO2(EnterpriseObject eo)

  Sets the mBeforeEO2 attribute.

  Parameters:
    `eo` - EnterpriseObject to which mBeforeEO2 is set.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.